<?php

// +---------------------------------------------------------------------------+
// | lang.php                                                                  |
// | This is the English language page for the Geeklog Generic Plug-in!        |
// |                                                                           |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

// +---------------------------------------------------------------------------+
// | Array Format:                                                             |
// | $LANGXX[YY]:	$LANG - variable name                                      |
// |	  	XX - file id number                                                |
// |		YY - phrase id number                                              |
// +---------------------------------------------------------------------------+

/**
* Generic Install language
*
* Be sure and change the name of this array to match your plugin
* e.g. $LANG_ST00
*
*/

$LANG_ADVT = array (
    	plugin            => 'Plugin',
	access_denied     => 'Access Denied',
	access_denied_msg => 'zClassifieds is only available to registered users. Please log in.',
	admin		  => 'Plugin Admin',
	install_header	  => 'Install/Uninstall Plugin',
	installed         => 'The Plugin is Installed',
	uninstalled       => 'The Plugin is Not Installed',
	install_success	  => 'Installation Successful',
	install_failed	  => 'Installation Failed -- See your error log to find out why.',
	uninstall_msg	  => 'Plugin Successfully Uninstalled',
	install           => 'Install',
	uninstall         => 'UnInstall',
    	warning           => 'Warning! Plugin is still Enabled',
    	enabled           => 'Disable plugin before uninstalling.',
    	readme            => 'STOP! Before you press install please read the ',
    	installdoc        => 'Install Document',
        newpage 	  => 'New Page',
        adminhome 	  => 'Admin Home',
        classifieds 	  => 'zClassifieds',
        writtenby 	  => 'Written By',
        date 		  => 'Last Updated',
        title 		  => 'Title',
        content 	  => 'Content',
        hits 		  => 'Hits',
        classifadslist 	  => 'Classifads List',
        usealtheader 	  => 'Use Alt. Header',
        url 		  => 'URL',
        edit 		  => 'Edit',
        lastupdated 	  => 'Last Updated',
        pageformat 	  => 'Page Format',
        leftrightblocks   => 'Left & Right Blocks',
        blankpage 	  => 'Blank Page',
        noblocks 	  => 'No Blocks',
        leftblocks 	  => 'Left Blocks',
        addtomenu 	  => 'Add To Menu',
        label 		  => 'Label',
        nopages 	  => 'No classified ads are in the system yet',
        save 		  => 'save',
        preview 	  => 'preview',
        delete 		  => 'delete',
        cancel 		  => 'cancel',
        menuitem 	  => 'zClassified Ads',
        blocktitle 	  => 'Classified Ads',
        newads 		  => 'New Listings',
        submitnew 	  => 'Submit an Ad',
        titlesubmit 	  => 'Submit',
        adname 		  => 'Name',
        adtitle 	  => 'Title',
        addescription 	  => 'Description',
        ademail 	  => 'Email',
        adsite 		  => 'Web Site',
        adcategory 	  => 'Category',
        adsection 	  => 'Section',
        adweeks 	  => '#Weeks to Display',
        adsubmit  	  => 'Submit',
        errmissing 	  => 'Please go back and enter a',
        erroverloaded 	  => 'The database is overloaded, please keep this window alive and resend in a few minutes.',
        errdelete 	  => 'Sorry, there was a problem. Your entry has not been deleted.',
        youupdated 	  => 'You updated the following in section',
        youposted 	  => 'You posted the following in section',
        willexpire 	  => 'It will expire in',
        weeks 		  => 'weeks',
        addeleted 	  => 'Your ad has been deleted.',
        alterit 	  => 'Alter it',
        deleteit 	  => 'Delete it',
        gobutton 	  => 'go',
        includehttp 	  => '<small>(include http://)</small>',
        required 	  => 'Fields in <strong>bold</strong> are required.',
        newads 		  => 'New Ads',
        nonewads 	  => 'No new ads',
        moreads 	  => 'more ads',
        lasthours 	  => 'last $hours hours',
        adby 		  => 'by',
        adcategories 	  => 'Categories',
        loginrequired 	  => "Sorry, classified ads are only available for registered users of {$_CONF['site_name']}. Please use the link in the form on the left to become a registered user.",
        loginrequiredblock => "Classified ads are only available to registered membeers. Please log in or <a href=\"{$_CONF['site_url']}/users.php?mode=new\">click here</a> to become a new member.",
        geeklogform 	  => 'Geeklog email form',
        notshown 	  => '(email address will not be displayed)',
        noemail 	  => 'no email',
        nosite 		  => 'no website',
        addate 		  => 'Date',
        expires  	  => 'Expires',
        allads 		  => 'view all ads &gt;&gt;',
        notfound 	  => 'Ad not found (it may have expired already or it may have been removed).',
        results 	  => 'Results for',
        allowedhtml 	  => 'Allowed HTML tags in the description:',
        system_locked 	  => 'System Locked',
        system_locked_msg => 'The Classifads plugin has already been installed and is locked.  If you are trying to uninstall this plugin, please read the README document that shipped with this plugin',
        uninstall_complete => 'Uninstall Complete',
        uninstall_complete_msg => 'The datastructures for the Classifads plugin have been successfully removed from your Geeklog database.',
        uninstall_failed  => 'Uninstall Failed',
        uninstall_failed_msg => 'The uninstall of the Classifads plugin failed.  Please see your Geeklog error.log file for diagnostic information',

#recent.php
    'recent_listed'     => 'Recent Listed',
    '#'                 => '#',
    'subject'           => 'Subject',
    'added_on'          => 'Added on',
    'photo'             => 'Photo',
    'detail'            => 'Detail',
    'no_ads_listed'     => 'No ads currently listed',
    'yes'               => 'Yes',
    'no'                => 'No',
    'back'              => 'Back',
    'home'              => 'Home',

    #notify.php
    'auto_notify'       => 'Auto Notify',
    'added_success'     => 'Congratulations! This category has been added to you list successfully.',
    'hint'              => '<b>Hint:</b> You can always remove auto-notify feature form your account.',
    'already_exists'    => 'Sorry, this category already exists in your list.',
    'diff_cat'          => 'If you want a different category, please go to a corresponding category and click <b>Auto Notify</b>.',
    'are_you_sure'      => 'Are you sure to add this category to your auto-notify list?',
    'whats_auto_notify'  => 'What is auto-notify?',
    'auto_nofify_allows' => 'Auto-nofify allows you to get noticed by e-mail whenever there is a ad lists to the categories you have signed up.',
    'multi_cat'         => 'You can sign up for multiple categories.',

    #search.php
    'search_result'     => 'Search Result',
    'no_match_found'    => 'No Match Found',
    'found'             => 'Found <b>$totresult</b> matches keyword <b>$keywords</b>',
    'search'            => 'Search',
    'go'                => 'Go',

    #askq.php
    'name_required'     => 'Name required',
    'email_required'    => 'E-mail required',
    'invalid_email'     => 'Invalid e-mail, please check your spelling',
    'question_required' => 'Question required',
    'more_info_pls'     => 'Please enter more information',
    'question_msg'      => 'Hello, $who!\n\nYou have a question regarding your ad #{$de} from $name:',
    'please_visit_us'   => 'Please visit us',
    'question_subject'  => 'You have a question regarding your ad #{$de}',
    'question_sent'     => 'Your question has been sent.',
    'back_to_ad'        => 'Back to Ad',
    'ask_your_question' => 'Ask Your Question',
    'your_name'         => 'Your Name:',
    'email'             => 'E-mail:',
    'send_question'     => 'Send Your Question',
    'cancel'            => 'Cancel',

    #detail.php
    'click_to_enlarge'  => 'Click to enlarge',
    'no_image'          => 'Sorry, image not available',
    'added'             => 'Added:',
    'expires'           => 'Expires:',
    'views'             => 'Views:',
    'description'       => 'Description',
    'contact_info'      => 'Contact Information',
    'contact'           => 'Contact',
    'ask_question'      => 'Ask Question',
    'tel'               => 'Tel',
    'fax'               => 'Fax',
    'city'              => 'City',
    'state'             => 'State',
    'website'           => 'Web Site',
    'previous'          => 'Previous',
    'next'              => 'Next',
    'whats_hot'         => 'What is Hot',

    #account.php
	'no_permission'     => 'Sorry, you do not have permission to perform this action!',
	'subject_required'  => 'Subject required',
	'descr_required'    => 'Description required',
	'invalid-url'       => 'Invalid URL',
	'none'              => 'none',
	'invalid_image_size'=> 'Invalid image size',
	'account_overview'  => 'Account Overview',
	'account_info'      => 'Account Information',
	'ads_mgnt'          => 'Ads Management',
	'logout'            => 'Logout',
	'home'              => 'Home',
	'my_account'        => 'My Account',
	'welcome'           => 'Welcome, ',
	'no_of_ads'         => 'You have $adsnum ads currently listed, to edit your ads click <a href=\"$PHP_SELF?page=manage\"><b>here</b></a>.',
	'expired_ads'       => '<b>Warning:</b> You have $expadsnum ads have already expired!',
	'account_help'      => 'Account Help',
	'info_change'       => 'To change your personal information click on <b>Account Information</b> above.',
	'ads_edit'          => 'To edit your ads click on <b>Ads Management</b> above.',
	'auto_notify_list'  => 'Auto-notify Category List',
	'auto_notify'       => 'Please go to a corresponding category and select <b>Auto Notify</b>',
	'remove'            => 'Remove',
	'account_info_2'    => ':: Account Information',
	'update_msg'        => 'Your information has been updated',
	'account_id'        => 'Account ID',
	'new_info'          => 'New Information',
	'name'              => 'Name',
	'city'              => 'City',
	'state'             => 'State',
	'telphone'          => 'Telphone',
	'fax'               => 'Fax',
	'update_account'    => 'Update Account',
	'subject'           => 'Subject',
	'added'             => 'Added',
	'expires'           => 'Expires',
	'action'            => 'Action',
	'no_ads_listed'     => 'No ads currently listed in your account',
	'expired'           => 'Expired',
	'edit'              => 'Edit',
	'delete'            => 'Delete',
	'category'          => 'Category',
	'desc'              => 'Description',
	'website'           => 'Web Site',
	'photo'             => 'Photo',
	'expiration_date'   => 'Expiration Date',
	'already_expired'   => 'Already Expired',
	'add'               => '| Add',
	'days'              => ' days',
	'update_info'       => 'Update Information',
	'reset'             => 'Reset',
	'logout_success'    => 'You have logout successfully!',
	'member_since'      => 'Member since:',
	'last_update'       => 'Last update:',
	'recent_added'      => 'Recent Added',
    'help'              => 'Help',


);

?>