<?php

// +---------------------------------------------------------------------------+
// | Universal Plugin 1.0 for Geeklog - The Ultimate Weblog                    |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../lib-common.php');
require($_CONF['path'] . 'plugins/advt/config.php');


// Check user has rights to access this page
//if (!SEC_hasRights('advt.edit','advt.view','advt.admin','OR')) {
if (!SEC_hasRights('advt.edit','advt.admin','OR')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_ADVT['access_denied']);
    echo $LANG_ADVT['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

/*
* Main Function
*/

echo COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/advt/templates');
$T->set_file('page', 'index.thtml');
$T->set_var('header', $LANG_ADVT['plugin']);
$T->set_var('site_url',$_CONF['site_url']);
$T->set_var('plugin','advt');
// your code goes here

	if( !isset( $page ) ) $page = "default";
	$result = mysql_query( "SELECT * FROM {$_TABLES['users']} WHERE uid='{$_USER['uid']}'" ) or error( mysql_error() );
	$user = mysql_fetch_array( $result );
	$time = time();

	$result = mysql_query( "SELECT * FROM {$_TABLES['ad_uinfo']} WHERE uid='{$_USER['uid']}'" ) or error( mysql_error() );
        $userinfo = mysql_fetch_array( $result );
	if( isset( $action ) )
	{
		if( $action == "delete_ad" )
		{

			$result = mysql_query( "SELECT * FROM {$_TABLES['ad_ads']} WHERE ad_id=$pe AND uid='{$user['uid']}'" );
			if( mysql_num_rows( $result ) == 0 ) error( "Sorry, you don't have permission to perform this action!" );
			mysql_query( "DELETE FROM {$_TABLES['ad_ads']} WHERE ad_id=$pe" ) or error( mysql_error() );
			$photo= mysql_query( "SELECT photo_id FROM {$_TABLES['ad_photo']} WHERE ad_id=$pe" ) or error( mysql_error() );
			while( $prow = mysql_fetch_array( $photo ) )
			{
            	if( file_exists( "{$IMAGE_DIR}/{$prow['photo_id']}.jpg" ) )
                	unlink( "{$IMAGE_DIR}/{$prow['photo_id']}.jpg" );
                if( file_exists( "{$IMAGE_DIR}/thumb/{$prow['photo_id']}.jpg" ) )
                	unlink( "{$IMAGE_DIR}/thumb/{$prow['photo_id']}.jpg" );
			}
			mysql_query( "DELETE FROM {$_TABLES['ad_photo']} WHERE ad_id=$pe" ) or error( mysql_error() );
		}
		elseif( $action == "delete_img" )
		{
			$row = mysql_fetch_array( mysql_query( "SELECT ad_id FROM {$_TABLES['ad_photo']} WHERE photo_id=$mid" ) );
			$result = mysql_query( "SELECT ad_id FROM {$_TABLES['ad_ads']} WHERE user_id='{$user['uid']}' AND ad_id={$row['ad_id']}" );
            if( file_exists( "{$IMAGE_DIR}/{$mid}.jpg" ) )
				unlink( "{$IMAGE_DIR}/{$mid}.jpg" );
            if( file_exists( "{$IMAGE_DIR}/thumb/{$mid}.jpg" ) )
				unlink( "{$IMAGE_DIR}/thumb/{$mid}.jpg" );
			mysql_query( "DELETE FROM {$_TABLES['ad_photo']} WHERE photo_id=$mid" ) or error( mysql_error() );
		}
		elseif( $action == "update_account" )
		{
			$newcity = trim( $newcity );
			$newstate = trim( $newstate );
			$newtel = trim( $newtel );
			$newfax = trim( $newfax );
			$newpostcode = trim( $newpostcode );
			$newaddress = trim( $newaddress );
			$newebayid = trim( $newebayid );

			$newcity != "" ? $city = $newcity : $city = $user['city'];
			$newstate != "" ? $state = $newstate : $state = $user['state'];
			$newtel != "" ? $tel = $newtel : $tel = $user['tel'];
			$newfax != "" ? $fax = $newfax : $fax = $user['fax'];
			$newpostcode != "" ? $postcode = $newpostcode : $postcode = $uinfo['postcode'];
			$newaddress != "" ? $address = $newaddress : $address = $uinfo['address'];
			$newebayid != "" ? $ebayid = $newebayid : $ebayid = $uinfo['ebayid'];

		if( $userinfo['uid'] >> ""){
			mysql_query( "UPDATE {$_TABLES['ad_uinfo']} SET city='$city', state='$state', tel='$tel', fax='$fax', address='$address', postcode='$postcode', ebayid='$ebayid', lastup_date='$time' WHERE uid={$user['uid']}" ) or error( mysql_error() );
			}
			else {
			mysql_query( "INSERT INTO {$_TABLES['ad_uinfo']} ( uid, tel, fax, city, state, lastup_date, postcode, address, ebayid ) VALUES ( '{$user['uid']}', '$tel', '$fax', '$city', '$state', '$time', '$postcode', '$address', '$ebayid' )" );
			}

		}
		elseif( $action == "update_ad" )
		{
			$subject = trim( $subject );
			$descript = trim( $descript );
			$url = trim( $url );
			if( $subject == "" ) error( "Subject required" );
			if( $descript == "" ) error( "Description required" );
			if( $url == "http://" || $url == "" )
				$url = "";
			else
				if( !eregi( "^http://[_a-z0-9-]+\\.[_a-z0-9-]+", $url ) )
					error( "Invalid URL" );
			for( $i = 0; $i < count( $photo ); $i++ )
			{
				if( $photo[ $i ] != "" && $photo[ $i ] != "none" )
				{
					if( $photo_size[ $i ] > 500000 ) error( "Invalid image size" );
					if( $photo_type[ $i ] == "image/pjpeg" || $photo_type[ $i ] == "image/jpeg" )
					{
						mysql_query( "INSERT INTO {$_TABLES['ad_photo']} ( ad_id ) VALUES ( $pe )" ) or error( mysql_error() );
						$photoid = mysql_insert_id();
						copy( $photo[ $i ], "{$IMAGE_DIR}/{$photoid}.jpg" );
						if ($_CONF_ADVT['$autothumbnail'] == 1 )
						{
						makeThumb( $photo[ $i ], "{$IMAGE_DIR}/thumb/{$photoid}.jpg" );
						}
						else
						{
						copy( $thumb[ $i ], "{$IMAGE_DIR}/thumb/{$photoid}.jpg" );
						}

					} else error( "Invalid image type, JPEG only" );
				}
			}
			$moredays != 0 ? $addtime = $moredays * 3600 * 24 : $addtime = 0;
			mysql_query( "UPDATE {$_TABLES['ad_ads']} SET subject='$subject', descript='$descript', url='$url', exp_date=exp_date+$addtime WHERE ad_id=$pe" ) or error( mysql_error() );
		}
		elseif( $action == "del_notice" )
		{
			mysql_query( "DELETE FROM {$_TABLES['ad_notice']} WHERE notice_id=$nid" ) or error( mysql_error() );
		}
	}
	if( isset( $page ) )
	{
		if( $page == "default" )
		{
			$expadsnum = mysql_num_rows( mysql_query( "SELECT ad_id FROM {$_TABLES['ad_ads']} WHERE uid='{$user['uid']}' AND exp_date<$time" ) );
			$adsnum = mysql_num_rows( mysql_query( "SELECT ad_id FROM {$_TABLES['ad_ads']} WHERE uid='{$user['uid']}' AND exp_date>$time" ) );
			$notice = mysql_query( "SELECT cat_id, notice_id FROM {$_TABLES['ad_notice']} WHERE uid='{$user['uid']}'" ) or error( mysql_error() );
			displayHeader( "$ADVT_NAME > My Account" );
			echo "<p align=\"center\">[ <a href=\"account.php\"><b>Account Overview</b></a>| <a href=\"$PHP_SELF?page=account\"><b>Account Information</b></a>  | <a href=\"$PHP_SELF?page=manage\"><b>Ads Management</b></a> ]</p>\n";
			echo "<div align=\"center\">\n";
  			echo "  <center>\n";
 			echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
  			echo "    <tr>\n";
  			echo "      <td width=\"100%\" height=\"20\"><b><a href=\"index.php\">Home</a> &gt; My Account</b></td>\n";
 			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";

			echo "<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" height=\"25\" class=\"frame\"><b>&nbsp;Welcome, {$user['username']}</b></td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" bgcolor=\"#FFFFFF\"></td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\">\n";
			echo "        <table border=\"0\" cellpadding=\"0\" cellspacing=\"1\" width=\"100%\" bgcolor=\"#000000\">\n";
			echo "          <tr>\n";
			echo "            <td width=\"100%\" bgcolor=\"#E6E6E6\">\n";
			echo "            &nbsp;You have $adsnum ads currently listed. To edit your ads click <a href=\"$PHP_SELF?page=manage\"><b>here</b></a>.\n";
			if( $expadsnum > 0 ) echo "            <br>&nbsp;<b>Warning:</b> $expadsnum ads have already expired!\n";
			echo "            </td>\n";
			echo "          </tr>\n";
			echo "        </table>\n";
			echo "      </td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\">\n";
			echo "      <b>Account Help</b>\n";
			echo "      <li>To change your personal information click on <b>Account Information</b> above.</li>\n";
			echo "      <li>To edit your ads click on <b>Ads Management</b> above.</li>\n";
			echo "      </td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\">\n";
			echo "      <b>Auto-notify Category List</b>\n";
			if( mysql_num_rows( $notice ) == 0 ) echo "<li>Please go to a corresponding category and select <b>Auto Notify</b></li>\n";
			else
			{
				while( $row = mysql_fetch_array( $notice ) )
				{
					echo "      <li><small><a href=\"./index.php?cat={$row['cat_id']}\">" . displayLocationNoLink( $row['cat_id'] ) . "</a> [<a href=\"$PHP_SELF?action=del_notice&nid={$row['notice_id']}\">Remove</a>]</small></li>\n";
				}
			}
			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";

		}
		elseif( $page == "account" )
		{
			displayHeader( "$ADVT_NAME > My Account :: Account Information" );
			$result2 = mysql_query( "SELECT * FROM {$_TABLES['ad_uinfo']} WHERE uid='{$_USER['uid']}'") or error( mysql_error() );
			$uinfo = mysql_fetch_array( $result2 );
			echo "<p align=\"center\">[ <a href=\"account.php\"><b>Account Overview</b></a>| <a href=\"$PHP_SELF?page=account\"><b>Account Information</b></a>  | <a href=\"$PHP_SELF?page=manage\"><b>Ads Management</b></a> ]</p>\n";
			echo "<div align=\"center\">\n";
  			echo "  <center>\n";
 			echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
  			echo "    <tr>\n";
  			echo "      <td width=\"100%\" height=\"20\"><b><a href=\"index.php\">Home</a> &gt; <a href=\"$PHP_SELF\">My Account</a> :: Account Information</b></td>\n";
 			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
			echo "<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" height=\"25\" colspan=\"2\" class=\"frame\"><b>";
			if( isset( $update ) ) echo "&nbsp;Your information has been updated";
			else echo "&nbsp;Welcome, {$user['username']}";
			echo "</b><p>Below is the Contact Information people will see about your ad. This information can be different than site Account Information</td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" height=\"1\" bgcolor=\"#FFFFFF\">\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\">\n";
			echo "        <table border=\"0\" cellpadding=\"0\" cellspacing=\"5\" width=\"100%\">\n";
			echo "        <form method=\"post\" action=\"$PHP_SELF?action=update_account\">\n";
			echo "		<tr>\n";
			echo "            <td width=\"40%\" height=\"25\"><b>&nbsp;</b></td>\n";
			echo "            <td width=\"40%\" height=\"25\"><b>Current Information</b></td>\n";
			echo "            <td width=\"40%\" height=\"25\"><b>New Information</b></td>\n";
			echo "		</tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>E-mail</b> / <b>Account ID</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>{$user['email']}</b></td>\n";
			echo "            <td width=\"40%\" height=\"25\"><b>User Profile</b></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>Name</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>{$user['fullname']}</b></td>\n";
			echo "            <td width=\"40%\" height=\"25\"><b>User Profile</b></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>Address</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['address']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newaddress\" size=\"25\" maxlength=\"20\" value=\"{$uinfo['address']}\"></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>City</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['city']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newcity\" size=\"20\" maxlength=\"20\" value=\"{$uinfo['city']}\"></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>State</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['state']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newstate\" size=\"2\" maxlength=\"20\" value=\"{$uinfo['state']}\"></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>Telphone</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['tel']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newtel\" size=\"12\" maxlength=\"20\" value=\"{$uinfo['tel']}\"></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>Fax</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['fax']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newfax\" size=\"12\" maxlength=\"20\" value=\"{$uinfo['fax']}\"></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>Postal/ZIP Code</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['postcode']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newpostcode\" size=\"5\" maxlength=\"20\" value=\"{$uinfo['postcode']}\"></td>\n";
			echo "          </tr>\n";
			echo "		<tr><td colspan=3> If you have ebay listings you can enter your ebay ID below and people will be able to view your listings when they click on your Details.<br></td></tr> \n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>ebay ID</b></td>\n";
			echo "            <td width=\"30%\" height=\"25\">{$uinfo['ebayid']}</td>\n";
			echo "            <td width=\"40%\" height=\"25\"><input type=\"text\" name=\"newebayid\" size=\"10\" maxlength=\"20\" value=\"{$uinfo['ebayid']}\"></td>\n";
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"30%\" height=\"25\"><b>Last Updated</b></td>\n";
			if( $userinfo['lastup_date'] >> ""){
			echo "            <td width=\"30%\" height=\"25\">" . date( "m/d/y h:i", $uinfo['lastup_date'] ) . "</td>\n";
			}
			else {
			echo "		  <td width=\"30%\" height=\"25\">Please Update Your Information</td>\n";
			}
			echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"100%\" height=\"25\" colspan=\"3\"><input type=\"submit\" value=\"  Update Account  \"><input type=\"reset\" value=\"  Reset  \"></td>\n";
			echo "          </tr>\n";
			echo "        </form>\n";
			echo "        </table>\n";
       			echo "      </td>\n";
			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
		}
		elseif( $page == "manage" )
		{
			$result = mysql_query( "SELECT ad_id, subject, add_date, exp_date FROM {$_TABLES['ad_ads']} WHERE uid='{$user['uid']}' ORDER BY add_date DESC" ) or error( mysql_error() );
			displayHeader( "$ADVT_NAME > My Account :: Ads Management" );
			echo "<p align=\"center\">[ <a href=\"account.php\"><b>Account Overview</b></a>| <a href=\"$PHP_SELF?page=account\"><b>Account Information</b></a>  | <a href=\"$PHP_SELF?page=manage\"><b>Ads Management</b></a> ]</p>\n";
			echo "<div align=\"center\">\n";
  			echo "  <center>\n";
 			echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
  			echo "    <tr>\n";
  			echo "      <td width=\"100%\" height=\"20\"><b><a href=\"index.php\">Home</a> &gt; <a href=\"$PHP_SELF\">My Account</a> :: Ads Management</b></td>\n";
 			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
			echo "<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "    <tr class=\"frame\">\n";
			echo "      <td width=\"5\" height=\"25\" align=\"right\"><b>#</b>&nbsp;</td>\n";
			echo "      <td width=\"70%\" height=\"25\"><b>Subject</b></td>\n";
			echo "      <td width=\"10%\" height=\"25\" align=\"center\"><b>Added</b></td>\n";
			echo "      <td width=\"10%\" height=\"25\" align=\"center\"><b>Expires</b>&nbsp;</td>\n";
			echo "      <td width=\"10%\" height=\"25\" align=\"center\"><b>Action</b></td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" height=\"1\" colspan=\"5\" bgcolor=\"#FFFFFF\"></td>\n";
  			echo "    </tr>\n";
			$i = 1;
			if( mysql_num_rows( $result ) == 0 )
			{
				echo "    <tr>\n";
				echo "      <td width=\"100%\" height=\"25\" colspan=\"5\" align=\"center\"><font size=\"4\">No ads currently listed in your account</font></td>\n";
				echo "    </tr>\n";
			}
			else
			{
				while( $row = mysql_fetch_array( $result ) )
				{
					$i % 2 == 0 ? $bgColor = "#FFFFFF" : $bgColor = "#E6E6E6";
					echo "    <tr>\n";
					echo "      <td height=\"25\" align=\"right\" bgcolor=\"$bgColor\"><small>{$i}.</small>&nbsp;</td>\n";
					echo "      <td height=\"25\" bgcolor=\"$bgColor\">{$row['subject']}</td>\n";
					echo "      <td height=\"25\" align=\"center\" bgcolor=\"$bgColor\"><small>" . date( "m/d/y", $row['add_date'] ) . "</small>&nbsp;&nbsp;</td>\n";
					if( $row['exp_date'] < $time ) echo "      <td height=\"25\" align=\"center\" bgcolor=\"$bgColor\"><small>Expired</small></td>\n";
					else echo "      <td height=\"25\" align=\"center\" bgcolor=\"$bgColor\"><small>" . date( "m/d/y", $row['exp_date'] ) . "</small></td>\n";
					echo "      <td height=\"25\" align=\"center\" bgcolor=\"$bgColor\"><small><a href=\"$PHP_SELF?page=edit&pe={$row['ad_id']}\">Edit</a> <br> <a href=\"$PHP_SELF?action=delete_ad&pe={$row['ad_id']}\">Delete</a></small></td>\n";
					echo "    </tr>\n";
					$i++;
				}
			}
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
		}
		elseif( $page == "edit" )
		{
			$result = mysql_query( "SELECT * FROM {$_TABLES['ad_ads']} WHERE ad_id=$pe AND uid='{$user['uid']}'" ) or error( mysql_error() );
			if( mysql_num_rows( $result ) == 0 ) error( "Sorry, you don't have permission to perform this action!" );
			$row = mysql_fetch_array( $result );
			displayHeader( "$ADVT_NAME > My Account :: Ads Management :: Edit" );
			echo "<p align=\"center\">[ <a href=\"account.php\"><b>Account Overview</b></a> | <a href=\"$PHP_SELF?page=account\"><b>Account Information</b></a> |
			<a href=\"$PHP_SELF?page=manage\"><b>Ads Management</b></a> ]</p>\n";
			echo "<div align=\"center\">\n";
		  	echo "  <center>\n";
		 	echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"700\">\n";
		  	echo "    <tr>\n";
		  	echo "      <td width=\"100%\" height=\"20\"><b><a href=\"index.php\">Home</a> &gt; <a href=\"$PHP_SELF\">My Account</a> :: <a href=\"$PHP_SELF?page=manage\">Ads Management</a> :: Edit</b></td>\n";
		 	echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
			echo "<div align=\"center\">\n";
		  	echo "  <center>\n";
		 	echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" >\n";
		  	echo "    <tr>\n";
		  	echo "      <td width=\"100%\" height=\"25\" colspan=\"2\" class=\"frame\">";
		  	if( isset( $update ) ) echo "&nbsp;<b>Your information has been updated</b>";
		  	echo "</td>\n";
		 	echo "    </tr>\n";
		 	echo "    <tr>\n";
		 	echo "      <td width=\"100%\">\n";
		 	echo "        <table border=\"0\" cellpadding=\"0\" cellspacing=\"5\" width=\"100%\">\n";
		 	echo "        <form enctype=\"multipart/form-data\" method=\"post\" action=\"$PHP_SELF?action=update_ad&pe={$row['ad_id']}\">\n";
		 	echo "          <tr>\n";
		 	echo "            <td width=\"40%\" height=\"25\"><b>Category</b></td>\n";
		 	echo "            <td width=\"60%\" height=\"25\"><b>";
		 	echo displayLocationNoLink( $row['cat_id'] );
		 	echo "</b></td>\n";
		 	echo "          </tr>\n";
		 	echo "          <tr>\n";
		 	echo "            <td width=\"40%\" height=\"25\"><b>Subject</b></td>\n";
		 	echo "            <td width=\"60%\" height=\"25\"><input type=\"text\" name=\"subject\" value=\"{$row['subject']}\" size=\"60\" maxlength=\"200\"></td>\n";
		 	echo "          </tr>\n";
		 	echo "          <tr>\n";
		 	echo "            <td width=\"40%\" height=\"25\"><b>Description</b>\n";
		 	echo "              <p>&nbsp;</p>\n";
		 	echo "              <p>&nbsp;</p>\n";
			echo "              <p>&nbsp;</p>\n";
		 	echo "            </td>\n";
		 	echo "            <td width=\"60%\" height=\"50\"><textarea rows=\"8\" name=\"descript\" cols=\"40\" maxlength=\"1000\">{$row['descript']}</textarea></td>\n";
		 	echo "          </tr>\n";
		 	echo "          <tr>\n";
		 	echo "            <td width=\"40%\" height=\"25\"><b>Web Site</b></td>\n";
		 	echo "            <td width=\"60%\" height=\"25\"><input type=\"text\" name=\"url\" value=\"{$row['url']}\" size=\"40\" maxlength=\"200\"></td>\n";
		 	echo "          </tr>\n";
		 	echo "          <tr>\n";
		 	echo "            <td width=\"40%\"><b> <br> Photo | Thumbnail </b>\n";
		 	echo "            </td>\n";
		 	echo "            <td valign=\"bottom\" width=\"40%\">Photo: <br>300k max JEPG only<br>\n";
			$photo = mysql_query( "SELECT photo_id FROM {$_TABLES['ad_photo']} WHERE ad_id=$pe" ) or error( mysql_error() );
			$i = 1;
			if( mysql_num_rows( $photo ) >= 1 )
			{
				while( $prow = mysql_fetch_array( $photo ) )
				{
			echo "              <a href=\"$IMAGE_DIR/{$prow['photo_id']}.jpg\" target=\"_blank\">Image $i</a> | <a href=\"$IMAGE_DIR/thumb/{$prow['photo_id']}.jpg\" target=\"_blank\">Thumb $i</a> | <a href=\"$PHP_SELF?action=delete_img&pe=$pe&mid={$prow['photo_id']}\">Delete</a><br>\n";
					$i++;
				}
			}
			for( $j = $i; $j <= $_CONF_ADVT['$imagecount']; $j++ )
	 		echo "              <input type=\"file\" name=\"photo[]\"><br>\n";
	 		echo "		    </td>\n";
	 		echo "              <td valign=\"bottom\">Thumbnail:<br> 100x100 10k max JEPG only<br>\n";
	 		if ($_CONF_ADVT['$autothumbnail'] == 0 )
				{
			for( $j = $i; $j <= $_CONF_ADVT['$imagecount']; $j++ )
	 		echo "		    <input type=\"file\" name=\"thumb[]\"><br>\n";
	 			}
		 	echo "            </td>\n";

			echo "          <tr>\n";
			echo "            <td width=\"40%\" height=\"25\"><b>Expiration Date</b>\n";
			echo "		    </td>\n";
			echo "            <td width=\"60%\" height=\"25\">";
			if( $row['exp_date'] < $time ) echo "<b>Already Expired</b>";
			else echo date( "m-d-y", $row['exp_date'] );
			echo " | Add <select size=\"1\" name=\"moredays\">\n";
			echo "              <option>15</option>\n";
			echo "              <option>30</option>\n";
			echo "              <option>45</option>\n";
			echo "              <option>60</option>\n";
			echo "              <option>90</option>\n";
			echo "              <option>120</option>\n";
			echo "              <option>365</option>\n";
			echo "            </select> days</td>\n";
		 	echo "          </tr>\n";
			echo "          <tr>\n";
			echo "            <td width=\"40%\" height=\"40\"></td>\n";
			echo "            <td width=\"60%\" height=\"40\"><input type=\"submit\" value=\"  Update Information  \"><input type=\"reset\" value=\"  Reset  \"></td>\n";
		 	echo "          </tr>\n";
		 	echo "        </form>\n";
			echo "        </table>\n";
			echo "      </td>\n";
			echo "    <tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
		}
		elseif( $page == "logout" )
		{
			session_unregister( "email" );
			session_unregister( "passwd" );
			displayHeader( "Member Logout" );
			echo "<p align=\"center\"><font size=\"4\">You have logout successfully!</font></p>\n";
			echo "<p align=\"center\"><a href=\"index.php\"><b>Home</b></a></p>\n";
			displayFooter();
		}
	}
	echo "<div align=\"center\">\n";
	echo "  <center>\n";
	echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
	echo "    <tr>\n";
	echo "      <td width=\"100%\" height=\"1\" bgcolor=\"#808080\">\n";
	echo "    </tr>\n";
	echo "    <tr>\n";
	echo "      <td width=\"100%\">\n";
	echo "    </tr>\n";
	echo "  </table>\n";
	echo "  </center>\n";
	echo "</div>\n";
	echo "<p align=\"center\"><a href=\"index.php\"><b>Home</b></a> | <a href=\"recent.php\"><b>Recent Added</b></a> | <a href=\"help.php\"><b>Help</b></a></p>\n";



// your code goes here
//$T->parse('output','page');
//echo $T->finish($T->get_var('output'));
echo COM_siteFooter(true);

echo $display;
?>
