<?php

// +---------------------------------------------------------------------------+
// | Universal Plugin 1.0 for Geeklog - The Ultimate Weblog                    |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../lib-common.php');
require($_CONF['path'] . 'plugins/advt/config.php');

// Check user has rights to access this page
if (!SEC_hasRights('advt.edit','OR')) {
//if (!SEC_hasRights('advt.admin','OR')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_ADVT['access_denied']);
    echo $LANG_ADVT['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

/*
* Main Function
*/

echo COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/advt/templates');
$T->set_file('page', 'index.thtml');
$T->set_var('header', $LANG_ADVT['plugin']);
$T->set_var('site_url',$_CONF['site_url']);
$T->set_var('plugin','advt');
// your code goes here

	if( !isset( $cat ) ) error( "Invalid 'list.php' page call" );
	$result = mysql_query( "SELECT uid FROM {$_TABLES['users']} WHERE uid='{$_USER['uid']}'" ) or error( mysql_error() );
	$user = mysql_fetch_array( $result );
	if( isset( $action ) && isset( $cat ) )
	{
		if( $action == "list" )
		{
			$subject = trim( $subject );
			$descript = trim( $descript );
			$url = trim( $url );
			if( $subject == "" ) error( "Subject required" );
			if( $descript == "" ) error( "Description required" );
			if( $url == "http://" || $url == "" )
				$url = "";
			else
				if( !eregi( "^http://[_a-z0-9-]+\\.[_a-z0-9-]+", $url ) )
					error( "Invalid URL" );
			if( $days == 0 ) error( "Please select an expiration date" );

			for( $i = 0; $i < count( $photo ); $i++ )
			{
				if( $photo[ $i ] != "" && $photo[ $i ] != "none" )
				{
// Changed by Ron 10-16-2003
					if( $photo_size[ $i ] > 30000 )
					{
					print "<script>alert(\"Your image is too big and has not been uploaded. Maximum size is 300kb. You will need to reduce the size of your image then resubmit by editing your ad.\")</script>\n";
					}

					if( $photo_type[ $i ] == "image/pjpeg" || $photo_type[ $i ] == "image/jpeg" )
						{
						$newphoto[] = $photo[ $i ];
						}
						else
						{
						print "<script>alert(\"Image - Invalid image type. Image must of a JPEG/JPG only.\")</script>\n";
						echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"0; URL=account.php?page=manage\"> \n";
						}
				}

				if( $thumb[ $i ] != "" && $thumb[ $i ] != "none" )
				{
					if( $thumb_size[ $i ] > 10000 )
					{
					print "<script>alert(\"Your thumbnail image is too big and has not been uploaded. Maximum size is 100 x 100 10kb.You will need to resize your thumbnail resubmit by editing your ad.\")</script>\n";
					}

					if( $thumb_type[ $i ] == "image/pjpeg" || $thumb_type[ $i ] == "image/jpeg" )
						{
						$newthumb[] = $thumb[ $i ];
						}
						else
						{
						print "<script>alert(\"Thumbnail - Invalid image type. Image must of a JPEG/JPG only.\")</script>\n";
						echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"0; URL=account.php?page=manage\"> \n";
						}
				}
// End of changed
			}
			$time = time();
			$exptime = $time + $days * 3600 * 24;
			mysql_query( "INSERT INTO {$_TABLES['ad_ads']} ( cat_id, uid, subject, descript, url, add_date, exp_date ) VALUES ( $cat, '$uid', '$subject', '$descript', '$url', $time, $exptime )" ) or error( mysql_error() );
			$newid = mysql_insert_id();
			for( $i = 0; $i < count( $newphoto ); $i++ )
			{

				if(( $thumb_size[ $i ] > 10000 ) || ($photo_size[ $i ] > 300000 ))
				{
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"0; URL=account.php?page=manage\"> \n";
				}
				else
				{
				mysql_query( "INSERT INTO {$_TABLES['ad_photo']} ( ad_id ) VALUES ( $newid )" ) or error( mysql_error() );
				$photoid = mysql_insert_id();
				copy( $newphoto[ $i ], "{$ADVT_PATH}/images/{$photoid}.jpg" );
				if ($_CONF_ADVT['$autothumbnail'] == 1 )
					{
					makeThumb( $newphoto[ $i ], "{$ADVT_PATH}/images/thumb/{$photoid}.jpg" );
					unlink( $newphoto[ $i ] );
					}
					else
					{
				copy( $newthumb[ $i ], "{$ADVT_PATH}/images/thumb/{$photoid}.jpg" );
					}
				}
			}
			$notice = @mysql_query( "SELECT uid FROM {$_TABLES['ad_notice']} WHERE cat_id=$cat" );
			while( $row = mysql_fetch_array( $notice ) )
			{
				$result = mysql_query( "SELECT username FROM {$_TABLES['users']} WHERE uid='{$row['uid']}'" );
				$name = mysql_fetch_array( $result );
				$message = "<pre>Hello {$name['username']}, this is a new ad from {$_CONF['site_name']}\n\n";
				$message .= "Category: " . displayLocationNoLink( $cat ) . "\n\n";
				$message .= "$subject\n\n";
				$message .= "$descript\n\n";
                                $message .= "or click here to see more <a href=\"{$_CONF['site_url']}/advt/detail.php?cat=$cat&de=$newid\">details</a>\n\n";
				$message .= "{$_CONF['site_name']}\n";
                                $message .= "Please click <a href=\"{$_CONF['site_url']}/advt/index.php\"> to view this ad.</a></pre>";
				sentMail( "New Ad Notice {$_CONF['site_mail']}", $row['email'], "New ad listing from {$_CONF['site_name']}", $message );
			}
			$message = "<pre>Hello Admin, there is a new ad on {$_CONF['site_name']}. \n\n";
			$message .= "Here is the ad:\n\n";
			$message .= "$subject\n\n";
			$message .= "$descript\n\n";
                        $message .= "or click here to see more <a href=\"{$_CONF['site_url']}/advt/detail.php?cat=$cat&de=$newid\">details</a>\n\n";
			$message .= "________________________________________________\n";
			$message .= "Visit homepage <a href=\"{$_CONF['site_url']}/advt/index.php\">{$_CONF['site_name']}</a></pre>";

			sentMail( "New Ad Notice <$email>", $_CONF['site_mail'], "You have a new ad on {$_CONF['site_name']}", $message );

			echo "<p align=\"center\"><font size=\"4\">Thank you, your ad has been listed successfully!</font></p>\n";
			echo "<p align=\"center\"><a href=\"detail.php?cat=$cat&de=$newid\"><b>Please click here to view your ads</b></a></p>\n";
			echo "<p align=\"center\"><b>or go to <a href=\"account.php\">My Account</a></b></p>\n";
			displayFooter();
		}
	}
	else
	{
		$result = mysql_query( "SELECT root_id FROM {$_TABLES['ad_category']} WHERE root_id=$cat" ) or error( mysql_error() );
		if( mysql_num_rows( $result ) == 0 ) error( "Category doesn't exist" );
		$result = mysql_query( "SELECT papa_id FROM {$_TABLES['ad_category']} WHERE papa_id=$cat" ) or error( mysql_error() );
		if( mysql_num_rows( $result ) >= 1 ) error( "Please select a specific category" );
		$result = mysql_query( "SELECT * FROM {$_TABLES['users']} WHERE uid='{$user['uid']}'" ) or error( mysql_error() );
		$user = mysql_fetch_array( $result );

		displayHeader( "List an Ads" );
		echo "<p align=\"center\"><a href=\"./notify.php?cat=$cat\"><b>Auto Notify</b></a> | <a href=\"./account.php\"><b>My Account</b></a> | <a href=\"./account.php?page=logout\"><b>Logout</b></a></p>\n";
		echo "<p align=\"center\"><font size=\"4\">List an Ad</font></p>\n";
		echo "<div align=\"center\">\n";
		echo "  <center>\n";
		echo "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"500\">\n";
		echo "  <form enctype=\"multipart/form-data\" method=\"post\" action=\"$PHP_SELF?action=list&cat=$cat\">\n";
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\">Category</td>\n";
		echo "      <td width=\"370\" height=\"30\"><b><u>\n";
		echo displayLocationNoLink( $cat );
		echo "</u></b></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\">Subject</td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"text\" name=\"subject\" size=\"60\" maxlength=\"100\"></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\">Description\n";
		echo "        <p>&nbsp;</p>\n";
		echo "        <p>&nbsp;</p>\n";
		echo "        <p>&nbsp;</p>\n";
		echo "      </td>\n";
		echo "      <td width=\"370\"><textarea rows=\"8\" name=\"descript\" cols=\"40\" maxlength=\"1000\"></textarea></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\">Web Site</td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"text\" name=\"url\" value=\"http://\" size=\"40\"></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"></td>\n";
		echo "	    <td width=\"370\" height=\"30\"><br>&nbsp;Photo <i>(optional)</i><br><small>(Max 500kb each)</small></td>\n";
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		echo "	    <td width=\"370\" height=\"30\"><br>&nbsp;Thumbnail: <br><small>(Max 100x100pxls<br> 10kb each)</small></td>\n";
			}
		echo "    </tr>\n";
		if ($_CONF_ADVT['$imagecount'] >= 5 )
		{
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"></td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"file\" name=\"photo[]\"></td>\n";
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		echo "      <td width=\"130\" height=\"30\"><input type=\"file\" name=\"thumb[]\"></td>\n";
			}
		echo "    </tr>\n";
		}
		if ($_CONF_ADVT['$imagecount'] >= 4 )
		{
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"></td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"file\" name=\"photo[]\"></td>\n";
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		echo "      <td width=\"130\" height=\"30\"><input type=\"file\" name=\"thumb[]\"></td>\n";
			}
		echo "    </tr>\n";
		}
		if ($_CONF_ADVT['$imagecount'] >= 3 )
		{
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"></td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"file\" name=\"photo[]\"></td>\n";
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		echo "      <td width=\"130\" height=\"30\"><input type=\"file\" name=\"thumb[]\"></td>\n";
			}
		echo "    </tr>\n";
		}
		if ($_CONF_ADVT['$imagecount'] >= 2 )
		{
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"></td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"file\" name=\"photo[]\"></td>\n";
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		echo "      <td width=\"130\" height=\"30\"><input type=\"file\" name=\"thumb[]\"></td>\n";
			}
		echo "    </tr>\n";
		}
		if ($_CONF_ADVT['$imagecount'] >= 1 )
		{
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"></td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"file\" name=\"photo[]\"></td>\n";
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		echo "      <td width=\"130\" height=\"30\"><input type=\"file\" name=\"thumb[]\"></td>\n";
			}
		echo "    </tr>\n";
		}
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\">Ad Duration</td>\n";
		echo "      <td width=\"370\" height=\"30\"><select size=\"1\" name=\"days\">\n";
		echo "        <option>15</option>\n";
		echo "        <option>30</option>\n";
		echo "        <option>45</option>\n";
		echo "        <option>60</option>\n";
		echo "        <option>90</option>\n";
		echo "        <option>120</option>\n";
		echo "        <option>365</option>\n";
		echo "      </select></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"130\" height=\"30\"><input type=\"hidden\" name=\"uid\" value=\"{$user['uid']}\"></td>\n";
		echo "      <td width=\"370\" height=\"30\"><input type=\"submit\" value=\"  Submit  \"><input type=\"submit\" value=\"  Clear  \"></td>\n";
		echo "    </tr>\n";
		echo "  </form>\n";
		echo "  </table>\n";
		echo "  </center>\n";
		echo "</div>\n";
		echo "<p align=\"center\"><a href=\"./index.php?cat=$cat\"><b>Back</b></a> | <a href=\"./index.php\"><b>Home</b></a></p>\n";
		displayFooter();
	}
//	function textFilter( $str )
//	{
//		$str = htmlspecialchars( $str );
//		$result = mysql_query( "SELECT word FROM badwords" ) or error( mysql_error() );
//		while( $row = mysql_fetch_array( $result ) )
//			$str = eregi_replace( $row['word'], "*", $str );
//		return $str;
//	}


// your code goes here
$T->parse('output','page');
echo $T->finish($T->get_var('output'));
echo COM_siteFooter();

echo $display;
?>
