<?php

// +---------------------------------------------------------------------------+
// | lang.php                                                                  |
// | This is the English language page for the Geeklog Generic Plug-in!        |
// |                                                                           |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

// +---------------------------------------------------------------------------+
// | Array Format:                                                             |
// | $LANGXX[YY]:	$LANG - variable name                                      |
// |	  	XX - file id number                                                |
// |		YY - phrase id number                                              |
// +---------------------------------------------------------------------------+

/**
* Generic Install language
*
* Be sure and change the name of this array to match your plugin
* e.g. $LANG_ST00
*
*/

$LANG_ADVT = array (
    	plugin            => 'Plugin',
	access_denied     => 'Access Denied',
	access_denied_msg => 'zClassifieds is only available to registered membeers. Please log in.',
	admin		  => 'Plugin Admin',
	install_header	  => 'Install/Uninstall Plugin',
	installed         => 'The Plugin is Installed',
	uninstalled       => 'The Plugin is Not Installed',
	install_success	  => 'Installation Successful',
	install_failed	  => 'Installation Failed -- See your error log to find out why.',
	uninstall_msg	  => 'Plugin Successfully Uninstalled',
	install           => 'Install',
	uninstall         => 'UnInstall',
    	warning           => 'Warning! Plugin is still Enabled',
    	enabled           => 'Disable plugin before uninstalling.',
    	readme            => 'STOP! Before you press install please read the ',
    	installdoc        => 'Install Document',
        newpage 	  => 'New Page',
        adminhome 	  => 'Admin Home',
        classifieds 	  => 'zClassifieds',
        menuitem 	  => 'zClassified Ads',
        blocktitle 	  => 'Classified Ads', 


#recent.php
    'recent_listed'     => 'Recent Listed',
    '#'                 => '#',
    'subject'           => 'Subject',
    'added_on'          => 'Added on',
    'photo'             => 'Photo',
    'detail'            => 'Detail',
    'no_ads_listed'     => 'No ads currently listed',
    'yes'               => 'Yes',
    'no'                => 'No',
    'back'              => 'Back',
    'home'              => 'Home',

    #notify.php
    'auto_notify'       => 'Auto Notify',
    'added_success'     => 'Congratulations! This category has been added to you list successfully.',
    'hint'              => '<b>Hint:</b> You can always remove auto-notify feature form your account.',
    'already_exists'    => 'Sorry, this category already exists in your list.',
    'diff_cat'          => 'If you want a different category, please go to a corresponding category and click <b>Auto Notify</b>.',
    'are_you_sure'      => 'Are you sure to add this category to your auto-notify list?',
    'whats_auto_notify'  => 'What is auto-notify?',
    'auto_nofify_allows' => 'Auto-nofify allows you to get noticed by e-mail whenever there is a ad lists to the categories you have signed up.',
    'multi_cat'         => 'You can sign up for multiple categories.',
    'list_an_ad'        => 'List an Ad',
    #search.php
    'search_result'     => 'Search Result',
    'no_match_found'    => 'No Match Found',
    'found'             => 'Found <b>$totresult</b> matches keyword <b>$keywords</b>',
    'search'            => 'Search',
    'go'                => 'Go',

    #askq.php
    'name_required'     => 'Name required',
    'email_required'    => 'E-mail required',
    'invalid_email'     => 'Invalid e-mail, please check your spelling',
    'question_required' => 'Question required',
    'more_info_pls'     => 'Please enter more information',
    'question_msg'      => 'Hello, $who!\n\nYou have a question regarding your ad #{$de} from $name:',
    'please_visit_us'   => 'Please visit us',
    'question_subject'  => 'You have a question regarding your ad #{$de}',
    'question_sent'     => 'Your question has been sent.',
    'back_to_ad'        => 'Back to Ad',
    'ask_your_question' => 'Ask Your Question',
    'your_name'         => 'Your Name:',
    'email'             => 'E-mail:',
    'send_question'     => 'Send Your Question',
    'cancel'            => 'Cancel',

    #detail.php
    'click_to_enlarge'  => 'Click to enlarge',
    'no_image'          => 'Sorry, image not available',
    'added'             => 'Added:',
    'expires'           => 'Expires:',
    'views'             => 'Views:',
    'description'       => 'Description',
    'contact_info'      => 'Contact Information',
    'contact'           => 'Contact',
    'ask_question'      => 'Ask Question',
    'tel'               => 'Tel',
    'fax'               => 'Fax',
    'city'              => 'City',
    'state'             => 'State',
    'website'           => 'Web Site',
    'previous'          => 'Previous',
    'next'              => 'Next',
    'whats_hot'         => 'What is Hot',

    #account.php
	'no_permission'     => 'Sorry, you do not have permission to perform this action!',
	'subject_required'  => 'Subject required',
	'descr_required'    => 'Description required',
	'invalid-url'       => 'Invalid URL',
	'none'              => 'none',
	'invalid_image_size'=> 'Invalid image size',
	'account_overview'  => 'Account Overview',
	'account_info'      => 'Account Information',
	'ads_mgnt'          => 'Ads Management',
	'logout'            => 'Logout',
	'home'              => 'Home',
	'my_account'        => 'My Account',
	'welcome'           => 'Welcome, ',
	'you_have'          => 'You have ',
	'no_of_ads'         => ' ads currently listed, to edit your ads click <a href=account.php?page=manage><b>here</b></a>.',
	'expired_ads'       => '<b>Warning:</b> You have $expadsnum ads have already expired!',
	'account_help'      => 'Account Help',
	'info_change'       => 'To change your personal information click on <b>Account Information</b> above.',
	'ads_edit'          => 'To edit your ads click on <b>Ads Management</b> above.',
	'auto_notify_list'  => 'Auto-notify Category List',
	'pls_auto_notify'       => 'Please go to a corresponding category and select <b>Auto Notify</b>',
	'remove'            => 'Remove',
	'account_info_2'    => ':: Account Information',
	'update_msg'        => 'Your information has been updated',
	'public_contact_info'      => 'Below is the Contact Information people will see about your ad.',
	'email_acc_id'        => 'E-mail / Account ID',
	'current_info'      => 'Current Information',
	'new_info'          => 'New Information',
	'name'              => 'Name',
	'city'              => 'City',
	'state'             => 'State',
	'telphone'          => 'Telphone',
	'fax'               => 'Fax',
	'update_account'    => 'Update Account',
	'subject'           => 'Subject',
	'added'             => 'Added',
	'expires'           => 'Expires',
	'action'            => 'Action',
	'no_ads_listed'     => 'No ads currently listed in your account',
	'expired'           => 'Expired',
	'edit'              => 'Edit',
	'delete'            => 'Delete',
	'category'          => 'Category',
	'desc'              => 'Description',
	'website'           => 'Web Site',
	'photo'             => 'Photo',
	'expiration_date'   => 'Expiration Date',
	'already_expired'   => 'Already Expired',
	'add'               => '| Add',
	'days'              => ' days',
	'update_info'       => 'Update Information',
	'reset'             => 'Reset',
	'logout_success'    => 'You have logout successfully!',
	'member_since'      => 'Member since:',
	'last_update'       => 'Last update:',
	'recent_added'      => 'Recent Added',
    'help'              => 'Help',


);

?>
